Subject: Re: bug#52559: guix pull fails with `Unknown command: nix fish: nix show-derivation "~/.fr-sqOEpp/....-module-import-compiled.drv"

From: Maxime Devos <[email-masked]>
Date: Mon, 17 Jan 2022 20:44:53 +0100

reopen 52559
reassign 52559 guile
retitle 52559 Guile doesn't like carriage returns after \
thanks

(I thought I renamed it already?)

Grigory Shepelev schreef op ma 17-01-2022 om 22:37 [+0300]:
> Same problem is: 
> Computing Guix derivation for 'x86_64-linux'... |ice-
> 9/read.scm:126:4: In procedure read-string:
> gnu/packages/virtualization.scm:643:1: invalid character in escape
> sequence: #\return
> guix pull: error: You found a bug: the program
> '/gnu/store/kms78b5wzmp763lljsazbp8v8a88p1z8-compute-guix-derivation'
> failed to compute the derivation for Guix ...
> 
> on "guix pull".

I reassigned the bug to Guile since that is were the issue appears to
be.  To Guile people who haven't seen this bug report before, there's
a minimal reproducer at <https://issues.guix.gnu.org/52559#15>.

Greetings,
Maxime.